API

X (Twitter) API

The AI-powered X provides 360° Global Media Data & Intelligence on X (Twitter) users, community managers, journalists, brands, and real-time communication teams.

API-Referenz Version: 1.0.0 7 Endpunkte Authentifizierung
X Monitor

Basis-URL

https://pressmonitor.com/api

Authentifizierung

Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /twitter_user

X (Twitter) Twitter Utilisateur

Parameter

Name Typ Standort Erforderlich Beschreibung
username string query Ja Username

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/twitter_user?username=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /twitter_tweets

X (Twitter) Twitter Tweets

Parameter

Name Typ Standort Erforderlich Beschreibung
username string query Ja Username
count integer query Nein Number of results

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/twitter_tweets?username=VALUE&count=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /twitter_tweet

X (Twitter) Twitter Tweet

Parameter

Name Typ Standort Erforderlich Beschreibung
pid string query Ja Tweet ID

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/twitter_tweet?pid=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /twitter_followers

X (Twitter) Twitter Abonnés

Parameter

Name Typ Standort Erforderlich Beschreibung
user string query Ja Numeric user ID
count integer query Nein Number of results

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/twitter_followers?user=VALUE&count=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /twitter_followers_page

X (Twitter) Twitter Abonnés Page

Parameter

Name Typ Standort Erforderlich Beschreibung
user string query Ja Numeric user ID
count integer query Nein Number of results
cursor string query Nein Pagination cursor

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/twitter_followers_page?user=VALUE&count=VALUE&cursor=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /twitter_followings_page

X (Twitter) Twitter Abonnements Page

Parameter

Name Typ Standort Erforderlich Beschreibung
user string query Ja Numeric user ID
count integer query Nein Number of results
cursor string query Nein Pagination cursor

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/twitter_followings_page?user=VALUE&count=VALUE&cursor=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success